Subject: Re: [PATCH 03/11] dtc: complain about unparsed digits in cell lists

From: David Gibson <[email-masked]>
Date: Wed, 18 Jul 2007 12:01:04 +1000

On Sat, Jul 07, 2007 at 01:18:48AM -0500, Milton Miller wrote:
> Check that strtoul() parsed the complete string.
> 
> As with the number overflow case, write a non-fatal error
> message to stdout.
> 
> Signed-off-by: Milton Miller <[email-masked]>
> --- 
> I saw the FIXME and knew how to fix it.  
> 
> I think the severity should be higher, but opted for the
> detailed error message compared to the fixed string of
> yyerror() and its immediate termination of parsing.

Yeah, it should really result in a fatal error, but delayed until
after parsing and other error checking is complete.  Yet another one
for the Great Error Handling Rewrite.  This is an improvement for now.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson